package podstawy.hello;

import javax.swing.*;

public class RozmowaOkno {
    public static void main(String[] args) {
        String imie = JOptionPane.showInputDialog("Jak masz na imię?");
        JOptionPane.showMessageDialog(null, "Witaj " + imie);
        try {
            int wiek = Integer.parseInt(JOptionPane.showInputDialog("Ile masz lat?"));
            if(wiek >= 18) {
                JOptionPane.showMessageDialog(null, "Osoba pełnoletnia");
            } else {
                JOptionPane.showMessageDialog(null, "Osoba niepełnoletnia");
            }
        } catch (NumberFormatException e) {
            JOptionPane.showMessageDialog(null, e, "Błąd", JOptionPane.ERROR_MESSAGE);
        }
    }
}
